Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Firmware update failed. Did not do 1.3.20 and went straight to higher update.

Discussion in 'Pro/Adv Discussion' started by swissbiofarmer, Apr 21, 2016.

  1. swissbiofarmer

    Joined:
    Apr 21, 2016
    Messages:
    2
    Likes Received:
    0
    Hi folks, i am feeling like a real fool now. I got a second hand phantom 3 pro. it had an old firmware on it so i thought i would do an update and got the latest firmware 1.8.80. But it looks like the previous firmware was older than 1.3.20 and i failed to make that update first. After going normal for 25 minutes, the Phantom started flashing red and made this weird grinding noise. I waited another 15 minutes and then turned the Phantom off. Thats when i came to this site and read that i should have updated to 1.3.20 first. So i tried that. But it didnt work. The Phantom just makes this grinding noise again and the text file just says it failed and i should try again.
    does anyone have an idea what i can do?
     
  2. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,145
    Likes Received:
    1,664
    Location:
    San Francisco, CA
    I believe you need to consult DJI Service, they should help you out as upgrade didn't warn you enough before update started.

    I know you missed it to upgrade to 1.3.20 first but DJI should provide you help.
     
    swissbiofarmer likes this.
  3. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,073
    Likes Received:
    5,619
    Location:
    US
    Try installing the firmware again exactly like this.
     
  4. flyNfrank

    Joined:
    Feb 1, 2014
    Messages:
    4,231
    Likes Received:
    915
    Location:
    Indy, USA
    I know this wont mean much to you, but if you had a P3 with older firmware then 1.3.2 it had some value as there are people out there looking for gem's like that. The lower the firmware...the higher value it has.

    Try following @msinger's suggestion.
     
    swissbiofarmer likes this.
  5. 2k3sgm

    Joined:
    Apr 27, 2015
    Messages:
    117
    Likes Received:
    34
    I had the same issue going from 1.5. I tried to go right to 1.8 and all seemed good until the bird started with a constant scream. I tried again with 1.7 and all went well. Then went to 1.8 no issue at all.
     
  6. swissbiofarmer

    Joined:
    Apr 21, 2016
    Messages:
    2
    Likes Received:
    0
    Thank you all for the answers. I have tried everything. No luck. I have now written to customer support...